import { TransferState, ElementRef, NgZone, OnDestroy, EventEmitter } from '@angular/core';
import { IDashboardDataSourceWizardSettings } from 'devexpress-dashboard/designer/data-source-wizard/data-source-wizard-extension';
import DxDashboardControl from 'devexpress-dashboard/integration/index';
import { DxComponent, DxTemplateHost, NestedOptionHost, WatcherHelper } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
import * as i1 from "devexpress-dashboard-angular/ui/nested";
import * as i2 from "devexpress-dashboard-angular/ui/dashboard-control/nested";
import * as i3 from "devextreme-angular/core";
/**
 * [descr:dxDashboardControl]

 */
export declare class DxDashboardControlComponent extends DxComponent implements OnDestroy {
    instance: DxDashboardControl;
    /**
     * [descr:dxDashboardControlOptions.ajaxRemoteService]
    
     */
    get ajaxRemoteService(): {
        beforeSend?: Function;
        complete?: Function;
        headers?: any;
    };
    set ajaxRemoteService(value: {
        beforeSend?: Function;
        complete?: Function;
        headers?: any;
    });
    /**
     * [descr:dxDashboardControlOptions.allowMaximizeItems]
    
     */
    get allowMaximizeItems(): boolean;
    set allowMaximizeItems(value: boolean);
    /**
     * [descr:dxDashboardControlOptions.dashboardId]
    
     */
    get dashboardId(): string;
    set dashboardId(value: string);
    /**
     * [descr:dxDashboardControlOptions.dataRequestOptions]
    
     */
    get dataRequestOptions(): {
        itemDataLoadingMode?: string;
        itemDataRequestMode?: string;
    };
    set dataRequestOptions(value: {
        itemDataLoadingMode?: string;
        itemDataRequestMode?: string;
    });
    /**
     * [descr:dxDashboardControlOptions.encodeHtml]
    
     */
    get encodeHtml(): boolean;
    set encodeHtml(value: boolean);
    /**
     * [descr:dxDashboardControlOptions.endpoint]
    
     */
    get endpoint(): string;
    set endpoint(value: string);
    /**
     * [descr:dxDashboardControlOptions.extensions]
    
     */
    get extensions(): {
        chartIndicators?: {
            customIndicatorTypes?: any;
        };
        dashboardExport?: {
            allowExportDashboard?: boolean;
            allowExportDashboardItems?: boolean;
            onExportDialogHidden?: Function;
            onExportDialogShowing?: Function;
            onExportDialogShown?: Function;
        };
        dashboardParameterDialog?: {
            onDynamicLookUpValuesLoaded?: Function;
            onHidden?: Function;
            onShowing?: Function;
            onShown?: Function;
        };
        dataInspector?: {
            allowInspectAggregatedData?: boolean;
            allowInspectRawData?: boolean;
            onDialogHidden?: Function;
            onDialogShowing?: Function;
            onDialogShown?: Function;
            onGridContentReady?: Function;
            onGridInitialized?: Function;
        };
        dataSourceWizard?: {
            allowCreateNewJsonConnection?: boolean;
            enableCustomSql?: boolean;
            onCustomizeDataSourceWizard?: Function;
            wizardSettings?: IDashboardDataSourceWizardSettings;
        };
        designerToolbar?: {
            onPreparing?: Function;
        };
        itemBindingPanel?: {
            onCustomizeDataItemContainerSections?: Function;
        };
        itemOptionsPanel?: {
            onCustomizeSections?: Function;
        };
        mobileLayout?: {
            mobileLayoutEnabled?: string;
        };
        textBoxItemEditor?: {
            onRichEditCreated?: Function;
            onRichEditOptionsPrepared?: Function;
        };
        viewerApi?: {
            onDashboardTitleToolbarUpdated?: Function;
            onItemActionAvailabilityChanged?: Function;
            onItemCaptionToolbarUpdated?: Function;
            onItemClick?: Function;
            onItemDrillDownStateChanged?: Function;
            onItemElementCustomColor?: Function;
            onItemMasterFilterStateChanged?: Function;
            onItemSelectionChanged?: Function;
            onItemVisualInteractivity?: Function;
            onItemWidgetCreated?: Function;
            onItemWidgetOptionsPrepared?: Function;
            onItemWidgetUpdated?: Function;
            onItemWidgetUpdating?: Function;
            onSelectedTabPageChanged?: Function;
        };
    };
    set extensions(value: {
        chartIndicators?: {
            customIndicatorTypes?: any;
        };
        dashboardExport?: {
            allowExportDashboard?: boolean;
            allowExportDashboardItems?: boolean;
            onExportDialogHidden?: Function;
            onExportDialogShowing?: Function;
            onExportDialogShown?: Function;
        };
        dashboardParameterDialog?: {
            onDynamicLookUpValuesLoaded?: Function;
            onHidden?: Function;
            onShowing?: Function;
            onShown?: Function;
        };
        dataInspector?: {
            allowInspectAggregatedData?: boolean;
            allowInspectRawData?: boolean;
            onDialogHidden?: Function;
            onDialogShowing?: Function;
            onDialogShown?: Function;
            onGridContentReady?: Function;
            onGridInitialized?: Function;
        };
        dataSourceWizard?: {
            allowCreateNewJsonConnection?: boolean;
            enableCustomSql?: boolean;
            onCustomizeDataSourceWizard?: Function;
            wizardSettings?: IDashboardDataSourceWizardSettings;
        };
        designerToolbar?: {
            onPreparing?: Function;
        };
        itemBindingPanel?: {
            onCustomizeDataItemContainerSections?: Function;
        };
        itemOptionsPanel?: {
            onCustomizeSections?: Function;
        };
        mobileLayout?: {
            mobileLayoutEnabled?: string;
        };
        textBoxItemEditor?: {
            onRichEditCreated?: Function;
            onRichEditOptionsPrepared?: Function;
        };
        viewerApi?: {
            onDashboardTitleToolbarUpdated?: Function;
            onItemActionAvailabilityChanged?: Function;
            onItemCaptionToolbarUpdated?: Function;
            onItemClick?: Function;
            onItemDrillDownStateChanged?: Function;
            onItemElementCustomColor?: Function;
            onItemMasterFilterStateChanged?: Function;
            onItemSelectionChanged?: Function;
            onItemVisualInteractivity?: Function;
            onItemWidgetCreated?: Function;
            onItemWidgetOptionsPrepared?: Function;
            onItemWidgetUpdated?: Function;
            onItemWidgetUpdating?: Function;
            onSelectedTabPageChanged?: Function;
        };
    });
    /**
     * [descr:dxDashboardControlOptions.fetchRemoteService]
    
     */
    get fetchRemoteService(): {
        beforeSend?: Function;
        headers?: any;
    };
    set fetchRemoteService(value: {
        beforeSend?: Function;
        headers?: any;
    });
    /**
     * [descr:dxDashboardControlOptions.initialDashboardId]
    
     */
    get initialDashboardId(): string;
    set initialDashboardId(value: string);
    /**
     * [descr:dxDashboardControlOptions.initialDashboardState]
    
     */
    get initialDashboardState(): string;
    set initialDashboardState(value: string);
    /**
     * [descr:dxDashboardControlOptions.limitVisibleDataMode]
    
     */
    get limitVisibleDataMode(): string;
    set limitVisibleDataMode(value: string);
    /**
     * [descr:dxDashboardControlOptions.loadDefaultDashboard]
    
     */
    get loadDefaultDashboard(): boolean;
    set loadDefaultDashboard(value: boolean);
    /**
     * [descr:dxDashboardControlOptions.nonce]
    
     */
    get nonce(): string;
    set nonce(value: string);
    /**
     * [descr:dxDashboardControlOptions.resizeByTimer]
    
     */
    get resizeByTimer(): boolean;
    set resizeByTimer(value: boolean);
    /**
     * [descr:dxDashboardControlOptions.showConfirmationOnBrowserClosing]
    
     */
    get showConfirmationOnBrowserClosing(): boolean;
    set showConfirmationOnBrowserClosing(value: boolean);
    /**
     * [descr:dxDashboardControlOptions.useNeutralFilterMode]
    
     */
    get useNeutralFilterMode(): boolean;
    set useNeutralFilterMode(value: boolean);
    /**
     * [descr:dxDashboardControlOptions.workingMode]
    
     */
    get workingMode(): string;
    set workingMode(value: string);
    /**
    
     * [descr:dxDashboardControlOptions.onBeforeRender]
    
    
     */
    onBeforeRender: EventEmitter<any>;
    /**
    
     * [descr:dxDashboardControlOptions.onDashboardBeginUpdate]
    
    
     */
    onDashboardBeginUpdate: EventEmitter<any>;
    /**
    
     * [descr:dxDashboardControlOptions.onDashboardEndUpdate]
    
    
     */
    onDashboardEndUpdate: EventEmitter<any>;
    /**
    
     * [descr:dxDashboardControlOptions.onDashboardInitialized]
    
    
     */
    onDashboardInitialized: EventEmitter<any>;
    /**
    
     * [descr:dxDashboardControlOptions.onDashboardInitializing]
    
    
     */
    onDashboardInitializing: EventEmitter<any>;
    /**
    
     * [descr:dxDashboardControlOptions.onDashboardStateChanged]
    
    
     */
    onDashboardStateChanged: EventEmitter<any>;
    /**
    
     * [descr:dxDashboardControlOptions.onInitializing]
    
    
     */
    onInitializing: EventEmitter<any>;
    /**
    
     * [descr:dxDashboardControlOptions.onItemBeginUpdate]
    
    
     */
    onItemBeginUpdate: EventEmitter<any>;
    /**
    
     * [descr:dxDashboardControlOptions.onItemEndUpdate]
    
    
     */
    onItemEndUpdate: EventEmitter<any>;
    /**
    
     * [descr:dxDashboardControlOptions.onOptionChanged]
    
    
     */
    onOptionChanged: EventEmitter<any>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    ajaxRemoteServiceChange: EventEmitter<{
        beforeSend?: Function;
        complete?: Function;
        headers?: any;
    }>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    allowMaximizeItemsChange: EventEmitter<boolean>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    dashboardIdChange: EventEmitter<string>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    dataRequestOptionsChange: EventEmitter<{
        itemDataLoadingMode?: string;
        itemDataRequestMode?: string;
    }>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    encodeHtmlChange: EventEmitter<boolean>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    endpointChange: EventEmitter<string>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    extensionsChange: EventEmitter<{
        chartIndicators?: {
            customIndicatorTypes?: any;
        };
        dashboardExport?: {
            allowExportDashboard?: boolean;
            allowExportDashboardItems?: boolean;
            onExportDialogHidden?: Function;
            onExportDialogShowing?: Function;
            onExportDialogShown?: Function;
        };
        dashboardParameterDialog?: {
            onDynamicLookUpValuesLoaded?: Function;
            onHidden?: Function;
            onShowing?: Function;
            onShown?: Function;
        };
        dataInspector?: {
            allowInspectAggregatedData?: boolean;
            allowInspectRawData?: boolean;
            onDialogHidden?: Function;
            onDialogShowing?: Function;
            onDialogShown?: Function;
            onGridContentReady?: Function;
            onGridInitialized?: Function;
        };
        dataSourceWizard?: {
            allowCreateNewJsonConnection?: boolean;
            enableCustomSql?: boolean;
            onCustomizeDataSourceWizard?: Function;
            wizardSettings?: IDashboardDataSourceWizardSettings;
        };
        designerToolbar?: {
            onPreparing?: Function;
        };
        itemBindingPanel?: {
            onCustomizeDataItemContainerSections?: Function;
        };
        itemOptionsPanel?: {
            onCustomizeSections?: Function;
        };
        mobileLayout?: {
            mobileLayoutEnabled?: string;
        };
        textBoxItemEditor?: {
            onRichEditCreated?: Function;
            onRichEditOptionsPrepared?: Function;
        };
        viewerApi?: {
            onDashboardTitleToolbarUpdated?: Function;
            onItemActionAvailabilityChanged?: Function;
            onItemCaptionToolbarUpdated?: Function;
            onItemClick?: Function;
            onItemDrillDownStateChanged?: Function;
            onItemElementCustomColor?: Function;
            onItemMasterFilterStateChanged?: Function;
            onItemSelectionChanged?: Function;
            onItemVisualInteractivity?: Function;
            onItemWidgetCreated?: Function;
            onItemWidgetOptionsPrepared?: Function;
            onItemWidgetUpdated?: Function;
            onItemWidgetUpdating?: Function;
            onSelectedTabPageChanged?: Function;
        };
    }>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    fetchRemoteServiceChange: EventEmitter<{
        beforeSend?: Function;
        headers?: any;
    }>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    initialDashboardIdChange: EventEmitter<string>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    initialDashboardStateChange: EventEmitter<string>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    limitVisibleDataModeChange: EventEmitter<string>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    loadDefaultDashboardChange: EventEmitter<boolean>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    nonceChange: EventEmitter<string>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    resizeByTimerChange: EventEmitter<boolean>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    showConfirmationOnBrowserClosingChange: EventEmitter<boolean>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    useNeutralFilterModeChange: EventEmitter<boolean>;
    /**
    
     * This member supports the internal infrastructure and is not intended to be used directly from your code.
    
     */
    workingModeChange: EventEmitter<string>;
    constructor(elementRef: ElementRef, ngZone: NgZone, templateHost: DxTemplateHost, _watcherHelper: WatcherHelper, optionHost: NestedOptionHost, transferState: TransferState, platformId: any);
    protected _createInstance(element: any, options: any): DxDashboardControl;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxDashboardControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxDashboardControlComponent, "dx-dashboard-control", never, { "ajaxRemoteService": { "alias": "ajaxRemoteService"; "required": false; }; "allowMaximizeItems": { "alias": "allowMaximizeItems"; "required": false; }; "dashboardId": { "alias": "dashboardId"; "required": false; }; "dataRequestOptions": { "alias": "dataRequestOptions"; "required": false; }; "encodeHtml": { "alias": "encodeHtml"; "required": false; }; "endpoint": { "alias": "endpoint"; "required": false; }; "extensions": { "alias": "extensions"; "required": false; }; "fetchRemoteService": { "alias": "fetchRemoteService"; "required": false; }; "initialDashboardId": { "alias": "initialDashboardId"; "required": false; }; "initialDashboardState": { "alias": "initialDashboardState"; "required": false; }; "limitVisibleDataMode": { "alias": "limitVisibleDataMode"; "required": false; }; "loadDefaultDashboard": { "alias": "loadDefaultDashboard"; "required": false; }; "nonce": { "alias": "nonce"; "required": false; }; "resizeByTimer": { "alias": "resizeByTimer"; "required": false; }; "showConfirmationOnBrowserClosing": { "alias": "showConfirmationOnBrowserClosing"; "required": false; }; "useNeutralFilterMode": { "alias": "useNeutralFilterMode"; "required": false; }; "workingMode": { "alias": "workingMode"; "required": false; }; }, { "onBeforeRender": "onBeforeRender"; "onDashboardBeginUpdate": "onDashboardBeginUpdate"; "onDashboardEndUpdate": "onDashboardEndUpdate"; "onDashboardInitialized": "onDashboardInitialized"; "onDashboardInitializing": "onDashboardInitializing"; "onDashboardStateChanged": "onDashboardStateChanged"; "onInitializing": "onInitializing"; "onItemBeginUpdate": "onItemBeginUpdate"; "onItemEndUpdate": "onItemEndUpdate"; "onOptionChanged": "onOptionChanged"; "ajaxRemoteServiceChange": "ajaxRemoteServiceChange"; "allowMaximizeItemsChange": "allowMaximizeItemsChange"; "dashboardIdChange": "dashboardIdChange"; "dataRequestOptionsChange": "dataRequestOptionsChange"; "encodeHtmlChange": "encodeHtmlChange"; "endpointChange": "endpointChange"; "extensionsChange": "extensionsChange"; "fetchRemoteServiceChange": "fetchRemoteServiceChange"; "initialDashboardIdChange": "initialDashboardIdChange"; "initialDashboardStateChange": "initialDashboardStateChange"; "limitVisibleDataModeChange": "limitVisibleDataModeChange"; "loadDefaultDashboardChange": "loadDefaultDashboardChange"; "nonceChange": "nonceChange"; "resizeByTimerChange": "resizeByTimerChange"; "showConfirmationOnBrowserClosingChange": "showConfirmationOnBrowserClosingChange"; "useNeutralFilterModeChange": "useNeutralFilterModeChange"; "workingModeChange": "workingModeChange"; }, never, never, false, never>;
}
export declare class DxDashboardControlModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxDashboardControlModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxDashboardControlModule, [typeof DxDashboardControlComponent], [typeof i1.DxoAjaxRemoteServiceModule, typeof i1.DxoDataRequestOptionsModule, typeof i1.DxoExtensionsModule, typeof i1.DxoChartIndicatorsModule, typeof i1.DxoDashboardExportModule, typeof i1.DxoDashboardParameterDialogModule, typeof i1.DxoDataInspectorModule, typeof i1.DxoDataSourceWizardModule, typeof i1.DxoWizardSettingsModule, typeof i1.DxoDesignerToolbarModule, typeof i1.DxoItemBindingPanelModule, typeof i1.DxoItemOptionsPanelModule, typeof i1.DxoMobileLayoutModule, typeof i1.DxoTextBoxItemEditorModule, typeof i1.DxoViewerApiModule, typeof i1.DxoFetchRemoteServiceModule, typeof i2.DxoDashboardControlAjaxRemoteServiceModule, typeof i2.DxoDashboardControlDataRequestOptionsModule, typeof i2.DxoDashboardControlExtensionsModule, typeof i2.DxoDashboardControlChartIndicatorsModule, typeof i2.DxoDashboardControlDashboardExportModule, typeof i2.DxoDashboardControlDashboardParameterDialogModule, typeof i2.DxoDashboardControlDataInspectorModule, typeof i2.DxoDashboardControlDataSourceWizardModule, typeof i2.DxoDashboardControlWizardSettingsModule, typeof i2.DxoDashboardControlDesignerToolbarModule, typeof i2.DxoDashboardControlItemBindingPanelModule, typeof i2.DxoDashboardControlItemOptionsPanelModule, typeof i2.DxoDashboardControlMobileLayoutModule, typeof i2.DxoDashboardControlTextBoxItemEditorModule, typeof i2.DxoDashboardControlViewerApiModule, typeof i2.DxoDashboardControlFetchRemoteServiceModule, typeof i3.DxIntegrationModule, typeof i3.DxTemplateModule], [typeof DxDashboardControlComponent, typeof i1.DxoAjaxRemoteServiceModule, typeof i1.DxoDataRequestOptionsModule, typeof i1.DxoExtensionsModule, typeof i1.DxoChartIndicatorsModule, typeof i1.DxoDashboardExportModule, typeof i1.DxoDashboardParameterDialogModule, typeof i1.DxoDataInspectorModule, typeof i1.DxoDataSourceWizardModule, typeof i1.DxoWizardSettingsModule, typeof i1.DxoDesignerToolbarModule, typeof i1.DxoItemBindingPanelModule, typeof i1.DxoItemOptionsPanelModule, typeof i1.DxoMobileLayoutModule, typeof i1.DxoTextBoxItemEditorModule, typeof i1.DxoViewerApiModule, typeof i1.DxoFetchRemoteServiceModule, typeof i2.DxoDashboardControlAjaxRemoteServiceModule, typeof i2.DxoDashboardControlDataRequestOptionsModule, typeof i2.DxoDashboardControlExtensionsModule, typeof i2.DxoDashboardControlChartIndicatorsModule, typeof i2.DxoDashboardControlDashboardExportModule, typeof i2.DxoDashboardControlDashboardParameterDialogModule, typeof i2.DxoDashboardControlDataInspectorModule, typeof i2.DxoDashboardControlDataSourceWizardModule, typeof i2.DxoDashboardControlWizardSettingsModule, typeof i2.DxoDashboardControlDesignerToolbarModule, typeof i2.DxoDashboardControlItemBindingPanelModule, typeof i2.DxoDashboardControlItemOptionsPanelModule, typeof i2.DxoDashboardControlMobileLayoutModule, typeof i2.DxoDashboardControlTextBoxItemEditorModule, typeof i2.DxoDashboardControlViewerApiModule, typeof i2.DxoDashboardControlFetchRemoteServiceModule, typeof i3.DxTemplateModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxDashboardControlModule>;
}
