import { OnInit, OnDestroy } from '@angular/core';
import { IDashboardDataSourceWizardSettings } from 'devexpress-dashboard/designer/data-source-wizard/data-source-wizard-extension';
import { NestedOptionHost } from 'devextreme-angular/core';
import { NestedOption } from 'devextreme-angular/core';
import * as i0 from "@angular/core";
export declare class DxoDashboardControlExtensionsComponent extends NestedOption implements OnDestroy, OnInit {
    get chartIndicators(): {
        customIndicatorTypes?: any;
    };
    set chartIndicators(value: {
        customIndicatorTypes?: any;
    });
    get dashboardExport(): {
        allowExportDashboard?: boolean;
        allowExportDashboardItems?: boolean;
        onExportDialogHidden?: Function;
        onExportDialogShowing?: Function;
        onExportDialogShown?: Function;
    };
    set dashboardExport(value: {
        allowExportDashboard?: boolean;
        allowExportDashboardItems?: boolean;
        onExportDialogHidden?: Function;
        onExportDialogShowing?: Function;
        onExportDialogShown?: Function;
    });
    get dashboardParameterDialog(): {
        onDynamicLookUpValuesLoaded?: Function;
        onHidden?: Function;
        onShowing?: Function;
        onShown?: Function;
    };
    set dashboardParameterDialog(value: {
        onDynamicLookUpValuesLoaded?: Function;
        onHidden?: Function;
        onShowing?: Function;
        onShown?: Function;
    });
    get dataInspector(): {
        allowInspectAggregatedData?: boolean;
        allowInspectRawData?: boolean;
        onDialogHidden?: Function;
        onDialogShowing?: Function;
        onDialogShown?: Function;
        onGridContentReady?: Function;
        onGridInitialized?: Function;
    };
    set dataInspector(value: {
        allowInspectAggregatedData?: boolean;
        allowInspectRawData?: boolean;
        onDialogHidden?: Function;
        onDialogShowing?: Function;
        onDialogShown?: Function;
        onGridContentReady?: Function;
        onGridInitialized?: Function;
    });
    get dataSourceWizard(): {
        allowCreateNewJsonConnection?: boolean;
        enableCustomSql?: boolean;
        onCustomizeDataSourceWizard?: Function;
        wizardSettings?: IDashboardDataSourceWizardSettings;
    };
    set dataSourceWizard(value: {
        allowCreateNewJsonConnection?: boolean;
        enableCustomSql?: boolean;
        onCustomizeDataSourceWizard?: Function;
        wizardSettings?: IDashboardDataSourceWizardSettings;
    });
    get designerToolbar(): {
        onPreparing?: Function;
    };
    set designerToolbar(value: {
        onPreparing?: Function;
    });
    get itemBindingPanel(): {
        onCustomizeDataItemContainerSections?: Function;
    };
    set itemBindingPanel(value: {
        onCustomizeDataItemContainerSections?: Function;
    });
    get itemOptionsPanel(): {
        onCustomizeSections?: Function;
    };
    set itemOptionsPanel(value: {
        onCustomizeSections?: Function;
    });
    get mobileLayout(): {
        mobileLayoutEnabled?: string;
    };
    set mobileLayout(value: {
        mobileLayoutEnabled?: string;
    });
    get textBoxItemEditor(): {
        onRichEditCreated?: Function;
        onRichEditOptionsPrepared?: Function;
    };
    set textBoxItemEditor(value: {
        onRichEditCreated?: Function;
        onRichEditOptionsPrepared?: Function;
    });
    get viewerApi(): {
        onDashboardTitleToolbarUpdated?: Function;
        onItemActionAvailabilityChanged?: Function;
        onItemCaptionToolbarUpdated?: Function;
        onItemClick?: Function;
        onItemDrillDownStateChanged?: Function;
        onItemElementCustomColor?: Function;
        onItemMasterFilterStateChanged?: Function;
        onItemSelectionChanged?: Function;
        onItemVisualInteractivity?: Function;
        onItemWidgetCreated?: Function;
        onItemWidgetOptionsPrepared?: Function;
        onItemWidgetUpdated?: Function;
        onItemWidgetUpdating?: Function;
        onSelectedTabPageChanged?: Function;
    };
    set viewerApi(value: {
        onDashboardTitleToolbarUpdated?: Function;
        onItemActionAvailabilityChanged?: Function;
        onItemCaptionToolbarUpdated?: Function;
        onItemClick?: Function;
        onItemDrillDownStateChanged?: Function;
        onItemElementCustomColor?: Function;
        onItemMasterFilterStateChanged?: Function;
        onItemSelectionChanged?: Function;
        onItemVisualInteractivity?: Function;
        onItemWidgetCreated?: Function;
        onItemWidgetOptionsPrepared?: Function;
        onItemWidgetUpdated?: Function;
        onItemWidgetUpdating?: Function;
        onSelectedTabPageChanged?: Function;
    });
    protected get _optionPath(): string;
    constructor(parentOptionHost: NestedOptionHost, optionHost: NestedOptionHost);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDashboardControlExtensionsComponent, [{ host: true; skipSelf: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DxoDashboardControlExtensionsComponent, "dxo-dashboard-control-extensions", never, { "chartIndicators": { "alias": "chartIndicators"; "required": false; }; "dashboardExport": { "alias": "dashboardExport"; "required": false; }; "dashboardParameterDialog": { "alias": "dashboardParameterDialog"; "required": false; }; "dataInspector": { "alias": "dataInspector"; "required": false; }; "dataSourceWizard": { "alias": "dataSourceWizard"; "required": false; }; "designerToolbar": { "alias": "designerToolbar"; "required": false; }; "itemBindingPanel": { "alias": "itemBindingPanel"; "required": false; }; "itemOptionsPanel": { "alias": "itemOptionsPanel"; "required": false; }; "mobileLayout": { "alias": "mobileLayout"; "required": false; }; "textBoxItemEditor": { "alias": "textBoxItemEditor"; "required": false; }; "viewerApi": { "alias": "viewerApi"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class DxoDashboardControlExtensionsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DxoDashboardControlExtensionsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DxoDashboardControlExtensionsModule, [typeof DxoDashboardControlExtensionsComponent], never, [typeof DxoDashboardControlExtensionsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DxoDashboardControlExtensionsModule>;
}
